Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.components.CreateUserRequest;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.CreateUserResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
CreateUserRequest req = CreateUserRequest.builder()
.email("Aglae92@gmail.com")
.password("3yANo2O4ArxjvvU")
.country("British Indian Ocean Territory (Chagos Archipelago)")
.build();
CreateUserResponse res = sdk.users().create()
.request(req)
.call();
if (res.createUserResponse().isPresent()) {
// handle response
}
}
}curl --request POST \
--url https://api.tradearies.dev/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>",
"country": "<string>"
}
'import requests
url = "https://api.tradearies.dev/v1/users"
payload = {
"email": "<string>",
"password": "<string>",
"country": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>', country: '<string>'})
};
fetch('https://api.tradearies.dev/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"country": "<string>",
"auth": {
"access_token": "<string>",
"refresh_token": "<string>",
"role": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Users
Create User
Creates a new user account.
POST
/
v1
/
users
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.components.CreateUserRequest;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.CreateUserResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
CreateUserRequest req = CreateUserRequest.builder()
.email("Aglae92@gmail.com")
.password("3yANo2O4ArxjvvU")
.country("British Indian Ocean Territory (Chagos Archipelago)")
.build();
CreateUserResponse res = sdk.users().create()
.request(req)
.call();
if (res.createUserResponse().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I